VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | List of all members
Property Class Reference
Version 4.1

Filter Property. More...

## Public Types
enum | Type { kUnknown = 0, kInteger, kFloat, kObject, kRect, kPoint, kColor, kTransformMatrix }

## Public Member Functions
| Property (Type type=kUnknown)
| Property (int32_t intValue)
| Property (double floatValue)
| Property (IReference *objectValue)
| Property (const CRect &rectValue)
| Property (const CPoint &pointValue)
| Property (const CColor &colorValue)
| Property (const CGraphicsTransform &transformValue)
| Property (const Property &p)
| Property (Property &&p) noexcept
| ~Property () noexcept
Type | getType () const
int32_t | getInteger () const
double | getFloat () const
IReference * | getObject () const
const CRect & | getRect () const
const CPoint & | getPoint () const
const CColor & | getColor () const
const CGraphicsTransform & | getTransform () const
Property & | operator= (const Property &p)
Property & | operator= (Property &&p) noexcept

## Detailed Description

Filter Property.

## Member Enumeration Documentation

enum Type

Enumerator
kUnknown |
kInteger |
kFloat |
kObject |
kRect |
kPoint |
kColor |
kTransformMatrix |

## Constructor & Destructor Documentation

Property | ( | Type | type = `kUnknown` | ) |

Property | ( | int32_t | intValue | ) |

Property | ( | double | floatValue | ) |

Property | ( | IReference * | objectValue | ) |

Property | ( | const CRect & | rectValue | ) |

Property | ( | const CPoint & | pointValue | ) |

Property | ( | const CColor & | colorValue | ) |

Property | ( | const CGraphicsTransform & | transformValue | ) |

Property | ( | const Property & | p | ) |

Property | ( | Property && | p | ) |
| noexcept

~Property | ( |  | ) |
| noexcept

## Member Function Documentation

const CColor& getColor | ( |  | ) | const

double getFloat | ( |  | ) | const

int32_t getInteger | ( |  | ) | const

IReference* getObject | ( |  | ) | const

const CPoint& getPoint | ( |  | ) | const

const CRect& getRect | ( |  | ) | const

const CGraphicsTransform& getTransform | ( |  | ) | const

Type getType | ( |  | ) | const
| inline

Property& operator= | ( | const Property & | p | ) |

Property& operator= | ( | Property && | p | ) |
| noexcept

The documentation for this class was generated from the following file:

- cbitmapfilter.h